ON INIT {
 SETNAME [description_ring_magic]
 TWEAK SKIN "ITEM_SILVER_RING" "ITEM_IRON_RING"
 SET_MATERIAL METAL
 SET_GROUP JEWELRY
 SET_PRICE 70
 SET_STEAL 50
 SETOBJECTTYPE RING
 SETEQUIP identify_value 25
 SET identified 0
 SET_WEIGHT 0
 SET_SHADOW OFF
 SET DURAB 65
 SET equiped 0
 ACCEPT
}

ON IDENTIFY {
 IF (identified == 1) ACCEPT
 SET identified 1
 SETNAME [description_ring_negatemagic]
 SET time 0
 SETEQUIP RESIST_POISON 17%
 SET_DURABILITY 65
 SET_PRICE 950
 HALO -olcs 0.05 0.5 0.07 28
 ACCEPT
}

ON INVENTORYUSE {
 EQUIP PLAYER
 ACCEPT
}

ON EQUIPIN {
 PLAY "EQUIP_RING"
 >>EFFECT
 SET equiped 1
 IF (identified == 0) ACCEPT
 SPELLCAST -smfd 65000 9 NEGATE_MAGIC PLAYER 
 TIMERnegate 0 1 GOTO NEGATE 
 ACCEPT
}

ON EQUIPOUT {
 SET equiped 0
 IF (identified == 0) ACCEPT
 SPELLCAST -k NEGATE_MAGIC
 TIMERnegate OFF
ACCEPT
}

ON GAME_READY {
 IF (equiped == 0) ACCEPT
 GOTO EFFECT
 ACCEPT
}

>>NEGATE
 SET dur ~^DURABILITY~
 DEC dur 1
 SET_DURABILITY -c dur
 IF (dur < 1) {
  TIMERnegate OFF
  PLAY "broken_weapon"
  SPELLCAST -k NEGATE_MAGIC
  DESTROY SELF
  ACCEPT
 }
 ACCEPT

ON SPELLCAST {
 IF (identified == 0) ACCEPT
 IF (^$PARAM1 != ENCHANT_WEAPON) ACCEPT
 PLAY -o "Magic_Spell_Enchant_Weapon"
 DEC DURAB 15
 IF (DURAB <= 0) {
  PLAY "broken_weapon"
  DESTROY SELF
  ACCEPT
 }
 SET_DURABILITY DURAB
 SET_DURABILITY -c DURAB
 ACCEPT
} 