// Gary, bank holder

ON INIT {
 SETNAME [description_shopkeeper]
 SET helping_buddy "HUMAN_BASE_0047"
 INVENTORY ADD_FROM_SCENE "KEY_BASE2_0001"
 INVENTORY ADD_FROM_SCENE "key_base_0023"
 INVENTORY ADDMULTI "JEWELRY\\GOLD_COIN\\GOLD_COIN" 85
 INVENTORY ADD_FROM_SCENE "key_bank_0001"
 INVENTORY ADD "JEWELRY\\GOLD_RING\\GOLD_RING"
 INVENTORY ADD_FROM_SCENE "key_base_0075"
 INVENTORY ADD "JEWELRY\\necklace\\necklace"
 INVENTORY ADD "JEWELRY\\GOLD_RING\\GOLD_RING"
 INVENTORY ADD "JEWELRY\\bracelet\\bracelet"
 SET key_carried "KEY_BASE_0022KEY_BASE_0023KEY_BANK_0001KEY_BASE_0075KEY_BASE2_0001"
 SET player_in_zone 0  // Used to check if player is in zone to enter secret tunnel
 SET friend "kingdom"
 SET moving 0   // Used to check if npc is already moving to secret button
 SET_GROUP ANTI_THIEF
 ACCEPT
}

ON INITEND {
 TWEAK TORSO "human_villager_chest2"
 TWEAK SKIN "NPC_HUMAN_VILLAGER_LEG2A_CHEST2_A" "npc_human_villager_leg3a_chest2b"
 TWEAK LEGS "human_villager_legs3"
 TWEAK SKIN "npc_human_villager5_bard" "npc_human_villager4_gary"
 TWEAK HEAD "human_villager_head4"
 SETWEAPON DAGGER_JEWELD
 SENDEVENT -ir DURABILITY 100 "75"
 SET_NPC_STAT damages 12
 SET_NPC_STAT aimtime 700
 LOADANIM ACTION2 "human_normal_lay_in"
 LOADANIM ACTION3 "human_normal_lay_cycle"
 LOADANIM ACTION4 "human_normal_lay_out"
 SET #FORBIDEN_SHOP4 1   // Returns 1 if Gary is in bank
 SET #FORBIDEN_SHOP5 1   // Returns 1 if Gary is in office
 //BEHAVIOR WANDER_AROUND 200
// SETTARGET NONE 
 ACCEPT
}

ON RELOAD {
  IF (#PLAYER_ON_QUEST == 4) {
    TELEPORT MARKER_0053
    SENDEVENT CUSTOM LIGHT_DOOR_0104 "UNLOCK"
    SENDEVENT CLOSE LIGHT_DOOR_0101 ""
    SENDEVENT CUSTOM LIGHT_DOOR_101 "LOCK"
    SET #FORBIDEN_SHOP4 0
    SET #FORBIDEN_SHOP5 0
    BEHAVIOR MOVE_TO
    SETTARGET MARKER_0520
    ACCEPT
  }
  IF (#PLAYER_ON_QUEST == 6) {
    TIMERup OFF
    SET reflection_mode 0
    SENDEVENT CUSTOM LIGHT_DOOR_0103 "LOCK"
    TELEPORT MARKER_0034
    PLAYANIM NONE
    BEHAVIOR NONE
    SETTARGET NONE
    OBJECT_HIDE SELF ON
    ACCEPT 
  }
  IF (#PLAYER_ON_QUEST == 7) {
    SET reflection_mode 1
    OBJECT_HIDE SELF OFF
    SET #FORBIDEN_SHOP4 1
    SET #FORBIDEN_SHOP5 1
    TELEPORT MARKER_0523
    SENDEVENT CUSTOM LIGHT_DOOR_0104 "LOCK"
    SENDEVENT CLOSE LIGHT_DOOR_0101 ""
    SENDEVENT CUSTOM LIGHT_DOOR_101 "UNLOCK"
    BEHAVIOR WANDER_AROUND 200
    SETTARGET NONE
    ACCEPT
  }     
  IF (#player_knows_password == 1) {
    TELEPORT MARKER_0034
    SENDEVENT CUSTOM LIGHT_DOOR_0104 "UNLOCK"
    SENDEVENT CLOSE LIGHT_DOOR_0101 ""
    SENDEVENT CUSTOM LIGHT_DOOR_101 "LOCK"
    SET #FORBIDEN_SHOP4 0
    SET #FORBIDEN_SHOP5 0
    BEHAVIOR WANDER_AROUND 200
    SETTARGET NONE
    ACCEPT
  }
  IF (#player_knows_password == 2) {
    TELEPORT MARKER_0523
    SENDEVENT CUSTOM LIGHT_DOOR_0104 "LOCK"
    SENDEVENT CLOSE LIGHT_DOOR_0101 ""
    SENDEVENT CUSTOM LIGHT_DOOR_101 "UNLOCK"
    SET #FORBIDEN_SHOP4 1
    SET #FORBIDEN_SHOP5 1
    BEHAVIOR WANDER_AROUND 200
    SETTARGET NONE
    ACCEPT
  }
 ACCEPT
}

ON CUSTOM {
  IF (^$PARAM1 == "OPEN") {
    IF (#forbiden_shop4 == 0) ACCEPT
    IF (#forbiden_shop5 == 0) ACCEPT
    IF (moving == 1) ACCEPT
    SET moving 1
    BEHAVIOR MOVE_TO
    SETTARGET MARKER_0525
    ACCEPT
  }
  IF (^$PARAM1 == "thief") {
    IF (#player_in_sight == 0) ACCEPT
    SPEAK -o [human_male_thief] NOP
    SENDEVENT ATTACK_PLAYER SELF ""
    ACCEPT
  }
 ACCEPT
}

ON PLAYER_IN_SHOP {
 IF (player_in_sight == 0) ACCEPT
 IF (^PLAYER_ZONE == "FORBIDEN_SHOP4") GOTO PLAYER_IN_FORBIDDEN_SHOP
 IF (^PLAYER_ZONE != "FORBIDEN_SHOP5") ACCEPT

>>PLAYER_IN_FORBIDDEN_SHOP
 SPEAK -a ~thief~ NOP
 SENDEVENT ATTACK_PLAYER SELF ""
 ACCEPT
}

ON DETECTPLAYER {
  IF (enemy == 1) ACCEPT
  IF (^PLAYER_ZONE == "GARY_ROOM") {
    SPEAK -a ~thief~ NOP
    SENDEVENT ATTACK_PLAYER SELF ""    
    ACCEPT
  }
 ACCEPT
}

ON UNDETECTPLAYER {
  IF (enemy == 1) ACCEPT
  IF (^PLAYER_ZONE == "GARY_ROOM") {
    SPEAK -a ~thief~ NOP
    SENDEVENT PLAYER_ENEMY SELF ""    
    ACCEPT
  }
 ACCEPT
}

ON REACHEDTARGET {
  IF (^TARGET == MARKER_0525) {
    BEHAVIOR NONE
    SETTARGET NONE
    SENDEVENT CUSTOM SECRET_BUTTON_0028 "CLOSE"
    SET moving 0
    BEHAVIOR MOVE_TO
    SETTARGET MARKER_0523
    ACCEPT
  }
  IF (^TARGET == MARKER_0523) {
    BEHAVIOR WANDER_AROUND 300
    SETTARGET NONE
    ACCEPT
  }
  IF (^TARGET == MARKER_0520) {
    FORCE_ANGLE 90
    SET sleeping 1
    PLAYANIM -e ACTION2 PLAYANIM -l ACTION3
    SET frozen 1
    TIMERup 1 60 GOTO UP
    ACCEPT
  }
  IF (^TARGET == MARKER_0034) {
    BEHAVIOR WANDER_AROUND 300
    SETTARGET NONE
    ACCEPT
  }
 ACCEPT
}

>>UP
 SET sleeping 0
 SET frozen 0
 PLAYANIM -e ACTION4 BEHAVIOR MOVET_TO SETTARGET MARKER_0034
 ACCEPT

//#behavior

// ---------------------------------------------------------------------------------
// BEHAVIOR INCLUDE START ----------------------------------------------------------
// ---------------------------------------------------------------------------------
>>CLEAR_MICE_TARGET
 // if we care about mice : clear current mice target and listen to other mice
 IF ( care_about_mice == 1 )
 {
  SET targeted_mice "NOMOUSE"
  SETGROUP MICECARE // listen to other mice
 }
RETURN

>>SAVE_BEHAVIOR
 TIMERcolplayer OFF 
// to avoid TIMERcolplayer to restore the behavior 1 sec later
 IF (main_behavior_stacked == 0) 
 {
  IF (frozen == 1)
  { 
// frozen anim -> wake up !
    SET frozen 0
    PLAYANIM NONE
    PLAYANIM -2 NONE
    PHYSICAL ON
    COLLISION ON
    BEHAVIOR FRIENDLY
    SETTARGET PLAYER
  }
  SET main_behavior_stacked 1
  HEROSAY -d "STACK"
  BEHAVIOR STACK
 }
 ELSE
 { // behavior already saved : clear mice target if one
  GOSUB CLEAR_MICE_TARGET
 }
RETURN

>>RESTORE_BEHAVIOR
 IF (main_behavior_stacked == 1) 
 {
  GOSUB CLEAR_MICE_TARGET
  HEROSAY -d "UNSTACK"
  BEHAVIOR UNSTACK
  SET main_behavior_stacked 0
  RETURN
 }
IF (init_marker != "NONE")
  { 
   BEHAVIOR MOVE_TO
   SETTARGET -a ~init_marker~
   SETMOVEMODE WALK
   RETURN
  }
HEROSAY -d "go_home"
BEHAVIOR GO_HOME
SETTARGET PLAYER
RETURN

// ---------------------------------------------------------------------------------
// BEHAVIOR INCLUDE END ------------------------------------------------------------
// ---------------------------------------------------------------------------------

//#
//#LocalChat
// ---------------------------------------------------------------------------------
// LocalChat INCLUDE START ---------------------------------------------------------
// ---------------------------------------------------------------------------------
>>START_CHAT
 // save misc reflection mode
 SET saved_reflection reflection_mode
 // no more stupid reflections !
 SET reflection_mode 0
 // fo not change behavior if frozen
 IF ( frozen == 1 ) RETURN
 // save behavior (if not saved)
 GOSUB SAVE_BEHAVIOR
 // look at player
 BEHAVIOR FRIENDLY
 SETTARGET PLAYER
RETURN

>>END_CHAT
 SET_EVENT COLLIDE_NPC ON
 SET collided_player 0
 // restor behavior only if not in fighting mode
 IF ( fighting_mode == 0 )
 {
  // restore misc reflection mode
  SET reflection_mode saved_reflection
  // if frozen : don't restore behavior
  IF ( frozen == 1 ) RETURN
  // restore behavior
  GOSUB RESTORE_BEHAVIOR
 }
RETURN
// ---------------------------------------------------------------------------------
// LocalChat INCLUDE END -----------------------------------------------------------
// ---------------------------------------------------------------------------------

//#

ON CHAT {
  IF (^SPEAKING == 1) ACCEPT
  IF (#bank_stollen == 1) GOTO DIALOGUE1_1
  IF (#FORBIDEN_SHOP4 == 1) {
    MAPMARKER 20 385 1 [description_gary]
    IF (chatpos == 0) {
      GOSUB START_CHAT
      SPEAK [gary_my_name_misc] GOSUB END_CHAT
      SET chatpos 1
      SETNAME [description_gary]
      ACCEPT
    }
    IF (chatpos == 1) {
      GOSUB START_CHAT
      SPEAK [male_shop_offer] GOSUB END_CHAT
      ACCEPT
    }
   ACCEPT
  }
 GOSUB START_CHAT
 MAPMARKER 20 385 1 [description_gary]
 SPEAK [male_shop_visit] GOSUB END_CHAT
 ACCEPT
}

ON DIE {
 SENDEVENT CUSTOM CHEST_METAL_0069 "DEAD"
 SENDEVENT CUSTOM CHEST_METAL_0092 "DEAD"
 ACCEPT
}

//////////////////////////////
// Dialogue if bank stollen //
//////////////////////////////

>>DIALOGUE1_1
 GOSUB START_CHAT
 SPEAK [gary_bank_stollen_misc] GOSUB END_CHAT
 ACCEPT
